Public Class Banking

    Dim objSavings As CSavings
    Dim objChecking As CChecking

    Private Sub Banking_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        objSavings = New CSavings
        objChecking = New CChecking

    End Sub

    Private Sub butDep_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles butDep.Click

        Try
            Decimal.Parse(tbxAmo.Text)
        Catch ex As Exception
            MessageBox.Show("Please Enter A Valid Number")
            Exit Sub
        End Try

        Dim decDepAmo As Decimal = tbxAmo.Text

        If rbtChe.Checked Then
            objChecking.Deposit(decDepAmo)
            tbxBal.Text = String.Format("{0:c}", objChecking.balance)
        End If

        If rbtSav.Checked Then
            objSavings.Deposit(decDepAmo)
            tbxBal.Text = String.Format("{0:c}", objSavings.balance)
        End If

    End Sub

    Private Sub rbtChe_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rbtChe.CheckedChanged
        tbxBal.Text = String.Format("{0:c}", objChecking.balance)
    End Sub

    Private Sub rbtSav_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rbtSav.CheckedChanged
        tbxBal.Text = String.Format("{0:c}", objSavings.balance)
    End Sub

    Private Sub butWit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles butWit.Click

        Try
            Decimal.Parse(tbxAmo.Text)
        Catch ex As Exception
            MessageBox.Show("Please Enter A Valid Number")
            Exit Sub
        End Try

        Dim decWitAmo As Decimal = tbxAmo.Text

        If rbtChe.Checked Then

            If decWitAmo > objChecking.balance Then
                MessageBox.Show("Insufficient Funds!", "Invalid", MessageBoxButtons.OK, MessageBoxIcon.Warning)
                Exit Sub
            End If

            objChecking.Withdraw(decWitAmo)
            tbxBal.Text = String.Format("{0:c}", objChecking.balance)

        End If

        If rbtSav.Checked Then

            If decWitAmo > objSavings.balance Then
                MessageBox.Show("Insufficient Funds!", "Invalid", MessageBoxButtons.OK, MessageBoxIcon.Warning)
                Exit Sub
            End If

            objSavings.Withdraw(decWitAmo)
            tbxBal.Text = String.Format("{0:c}", objSavings.balance)

        End If

    End Sub

    Private Sub butExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles butExit.Click
        Close()
    End Sub

    Private Sub butMonUpd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles butMonUpd.Click

        If rbtChe.Checked Then
            objChecking.Update()
            tbxBal.Text = String.Format("{0:c}", objChecking.balance)
        End If

        If rbtSav.Checked Then
            objSavings.Update()
            tbxBal.Text = String.Format("{0:c}", objSavings.balance)
        End If

    End Sub
End Class
